-- Override destroyer's attack by area push-back effect, with explosion and extra push effect on the target.
local destroyer = data.raw["combat-robot"]["destroyer"]
destroyer.attack_parameters.ammo_type.action.action_delivery =
{
	type = "instant",
	source_effects =
	{
		{
			type = "create-entity",
			entity_name = "smoke-fast"
		},
		{
			type = "nested-result",
			affects_target = true,
			action =
			{
				type = "area",
				perimeter = 8,
				force = "enemy",
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						{
							type = "push-back",
							distance = 4,
						},
						{
							type = "create-entity",
							entity_name = "explosion"
						},
					}
				}
			}
		}
	},
	target_effects =
	{
		{
			type = "push-back",
			distance = 4,
		}
	}
}

-- Override defender's attack by area push-back effect, without explosion.
local defender = data.raw["combat-robot"]["defender"]
defender.attack_parameters.ammo_type.action.action_delivery =
{
	type = "instant",
	source_effects =
	{
		{
			type = "create-entity",
			entity_name = "smoke-fast"
		},
		{
			type = "nested-result",
			affects_target = true,
			action =
			{
				type = "area",
				perimeter = 8,
				force = "enemy",
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						{
							type = "push-back",
							distance = 4,
						},
						--[[
						{
							type = "create-entity",
							entity_name = "explosion"
						},
						--]]
					}
				}
			}
		}
	}
}